Version Management(3)

NAME
Version Management -

  Functions

CUresult cuDriverGetVersion (int *driverVersion)
Returns the latest CUDA version supported by driver.

Detailed Description

\brief version management functions of the low-level CUDA driver API (cuda.h)

This section describes the version management functions of the low-level CUDA driver application programming interface.

Function Documentation

  CUresult cuDriverGetVersion (int * driverVersion)

Returns in *driverVersion the version of CUDA supported by the driver. The version is returned as (1000 major + 10 minor). For example, CUDA 9.2 would be represented by 9020.

This function automatically returns CUDA_ERROR_INVALID_VALUE if driverVersion is NULL.

Parameters:
    driverVersion - Returns the CUDA driver version

Returns:
    CUDA_SUCCESS, CUDA_ERROR_INVALID_VALUE

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cudaDriverGetVersion, cudaRuntimeGetVersion

Author

Generated automatically by Doxygen from the source code.